aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap
diff options
context:
space:
mode:
authorLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-02-24 03:39:37 +0100
committerLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-02-24 03:39:37 +0100
commit7340682fd77fd89d38bf17cf9b194c5d2f602088 (patch)
tree8f66d78363c1cd25bf0545ef0395456bc0c74eb2 /bootstrap
parentc903407fc20d97fbfd6a25a2a85c05d91fbefb07 (diff)
downloadhttptool-7340682fd77fd89d38bf17cf9b194c5d2f602088.tar.gz
httptool-7340682fd77fd89d38bf17cf9b194c5d2f602088.tar.bz2
httptool-7340682fd77fd89d38bf17cf9b194c5d2f602088.tar.lz
httptool-7340682fd77fd89d38bf17cf9b194c5d2f602088.zip

feat: make life easy for moz staff

Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap20
1 files changed, 20 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..dcf11f6
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,20 @@
+#!/usr/bin/env zsh
+set -eax
+if ! which mkdir >/dev/null 2>/dev/null; then
+ echo -e "\x1b[0;31mSanity Check - \`mkdir\` - not found. Your busybox||toybox||coreutils||bsdutils||etc is fucked.\x1b[0m"
+ exit 2;
+fi
+if ! which pnpm >/dev/null 2>/dev/null; then
+ echo -e "\x1b[0;31mInstall pnpm - https://pnpm.io - ideally using your preferred package manager.\x1b[0m"
+ exit 3;
+fi
+if ! which node >/dev/null 2>/dev/null; then
+ echo -e "\x1b[0;31mInstall node - https://nodejs.org - ideally using your preferred package manager.\x1b[0m"
+ exit 3;
+fi
+if ! which jq >/dev/null 2>/dev/null; then
+ echo -e "\x1b[0;31mInstall jq, ideally using your preferred package manager.\x1b[0m"
+ exit 3;
+fi
+
+pnpm i